Patch a Project
curl --request PATCH \
--url https://api.checkfu.com/v1/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"expected_version": 1,
"name": "<string>",
"goal": "<string>",
"instructions": "<string>",
"work": {
"agents": [
"<string>"
],
"environment_id": "<string>",
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"vault_ids": [
"<string>"
],
"connected_runtime": "<string>",
"max_active_sessions": 12,
"max_starts_per_hour": 100,
"auto_resolve_after_seconds": 1
},
"metadata": {}
}
'import requests
url = "https://api.checkfu.com/v1/projects/{id}"
payload = {
"expected_version": 1,
"name": "<string>",
"goal": "<string>",
"instructions": "<string>",
"work": {
"agents": ["<string>"],
"environment_id": "<string>",
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"vault_ids": ["<string>"],
"connected_runtime": "<string>",
"max_active_sessions": 12,
"max_starts_per_hour": 100,
"auto_resolve_after_seconds": 1
},
"metadata": {}
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expected_version: 1,
name: '<string>',
goal: '<string>',
instructions: '<string>',
work: {
agents: ['<string>'],
environment_id: '<string>',
resources: [
{
authorization_token: '<string>',
type: 'github_repository',
url: '<string>',
checkout: {type: 'branch', name: '<string>'},
mount_path: '<string>'
}
],
vault_ids: ['<string>'],
connected_runtime: '<string>',
max_active_sessions: 12,
max_starts_per_hour: 100,
auto_resolve_after_seconds: 1
},
metadata: {}
})
};
fetch('https://api.checkfu.com/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"version": 1,
"name": "<string>",
"goal": "<string>",
"instructions": "<string>",
"memory_store_id": "<string>",
"coordinator": {
"agent": "<string>",
"environment_id": "<string>",
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"vault_ids": [
"<string>"
]
},
"work": {
"agents": [
"<string>"
],
"environment_id": "<string>",
"max_active_sessions": 12,
"max_starts_per_hour": 100,
"auto_resolve_after_seconds": 1,
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"vault_ids": [
"<string>"
],
"connected_runtime": "<string>"
},
"created_by": "<string>",
"identity": {
"acted_as": "<string>"
},
"status": "provisioning",
"coordinating_session_id": "<string>",
"coordinating_generation": 1,
"owned_automation_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"external_id": "<string>",
"metadata": {}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Patch a Project
Compare-and-swap update of name, goal, instructions, the coordinator or work template, or metadata under expected_version.
PATCH
/
v1
/
projects
/
{id}
Patch a Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^proj_[0-9a-f]{32}$Body
application/json
Required range:
x > 0Required string length:
1 - 255Maximum string length:
1024Maximum string length:
16384Show child attributes
Show child attributes
Show child attributes
Show child attributes
at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes
Response
Project
Pattern:
^proj_[0-9a-f]{32}$Pattern:
^wrkspc_[0-9a-f]{32}$Required range:
x > 0Required string length:
1 - 255Maximum string length:
1024Maximum string length:
16384Pattern:
^memstore_[0-9a-f]{32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^prin_[0-9a-f]{32}$Show child attributes
Show child attributes
Available options:
provisioning, active, paused, archived Pattern:
^sess_[0-9a-f]{32}$Required range:
x > 0Pattern:
^auto_[0-9a-f]{32}$Pattern:
^[a-z0-9](?:[a-z0-9._-]{0,93})$at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes